Subject: Re: Segfault with merge-tree on multiple Git versions

From: Jed Brown <[email-masked]>
Date: Wed, 27 Mar 2013 13:06:12 -0500

Charlie Smurthwaite <[email-masked]> writes:

> I am also using this to obtain a diff that would be applied if a merge 
> were to be run. Is there a better way to obtain this information that is 
> more commonly used?

You can do an actual merge using detached HEAD:

  $ git checkout --detach upstream-branch
  $ git merge topic-branch

This has the benefit that if there are conflicts, you can resolve them
here and commit the result so that rerere can auto-resolve them later.

Are you looking for something that can be run in a bare repo?